From 40ace682a58d760aa084e22bcd135a8848288fe2 Mon Sep 17 00:00:00 2001
From: Salah-Eddin Shaban <salah@videolan.org>
Date: Tue, 31 Oct 2017 12:43:34 +0200
Subject: [RFC 1/2] png: add png-orient option

---
 modules/codec/png.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/modules/codec/png.c b/modules/codec/png.c
index 645577f..1fd4d9c 100644
--- a/modules/codec/png.c
+++ b/modules/codec/png.c
@@ -92,6 +92,7 @@ vlc_module_begin ()
     set_capability( "video decoder", 1000 )
     set_callbacks( OpenDecoder, CloseDecoder )
     add_shortcut( "png" )
+    add_integer( "png-orient", 0, "PNG Orientation", "PNG Orientation", false )
 
     /* encoder submodule */
     add_submodule()
@@ -125,6 +126,8 @@ static int OpenDecoder( vlc_object_t *p_this )
     /* Set output properties */
     p_dec->fmt_out.i_codec = VLC_CODEC_RGBA;
 
+    p_dec->fmt_out.video.orientation = var_InheritInteger( p_dec, "png-orient" );
+
     /* Set callbacks */
     p_dec->pf_decode = DecodeBlock;
 
-- 
2.6.6

